Highlights:
   - **Bug fixes**
      - Make dimension check for GlobalPtrStmt aware of whether it is a cell access (#6275) (by **Yi Xu**)
      - Allow numpy int as snode dimension (#6211) (by **Yi Xu**)
      - Fix augmented assign for sar (#6153) (by **Yi Xu**)
   - **Documentation**
      - Update global_settings.md (#6370) (by **Zhao Liang**)
      - Update global data access rule checker in doc (#6347) (by **Mingrui Zhang**)
      - Add instructions about running clang-tidy checks locally (by **Ailing Zhang**)
      - Renamed syntax.md to kernel_function.md, plus miscellaneous edits (#6277) (by **Vissidarte-Herman**)
      - Rename index.md to hello_world.md (#6244) (by **Vissidarte-Herman**)
      - Update syntax.md (#6236) (by **Zhao Liang**)
      - Update math_module.md (#6235) (by **Zhao Liang**)
      - Update debugging.md (#6238) (by **Zhao Liang**)
      - Update global settings (#6201) (by **Olinaaaloompa**)
      - Update hello world (#6191) (by **Olinaaaloompa**)
      - Update math module (#6203) (by **Olinaaaloompa**)
      - Update profiler (#6214) (by **Olinaaaloompa**)
      - Update debugging.md (#6212) (by **Zhao Liang**)
      - Update debugging.md (#6200) (by **Zhao Liang**)
      - Fixed broken links (#6193) (by **Olinaaaloompa**)
      - Update field.md (#6182) (by **Zhao Liang**)
      - Update data_oriented_class.md (#6181) (by **Zhao Liang**)
      - Update kernels and functions (#6176) (by **Zhao Liang**)
      - Update type.md (#6180) (by **Zhao Liang**)
      - Update getting started (#6175) (by **Zhao Liang**)
      - Refactor debugging (#6102) (by **Olinaaaloompa**)
      - Refactor global settings (#6071) (by **Zhao Liang**)
      - Refactor external arrays (#6065) (by **Zhao Liang**)
      - Refactor simt (#6151) (by **Zhao Liang**)
      - Refactor Profiler (#6142) (by **Olinaaaloompa**)
      - Add doc for math module (#6145) (by **Zhao Liang**)
      - Update gui_system (#6152) (by **Zhao Liang**)
      - Move developer utilities to contribution (#6109) (by **Olinaaaloompa**)
      - Added Accelerate PyTorch (#6106) (by **Vissidarte-Herman**)
      - Refactor ODOP (#6013) (by **Zhao Liang**)
   - **Error messages**
      - Deprecate ndrange with number of the loop variables != the dimension of the ndrange (#6422) (by **Lin Jiang**)
      - Add error message when the number of the loop variables does not match the dimension of the ndrange (#6360) (by **Lin Jiang**)
   - **Examples**
      - Add karman vortex street example (#6249) (by **Zhao Liang**)
   - **Language and syntax**
      - Allow augmented assign on matric slice (#6382) (by **Yi Xu**)
      - Allow filling a field with Expr (#6391) (by **Yi Xu**)
      - Replace matrix warning param by current logging level (#6377) (by **Zhao Liang**)
      - Matrix/Vector refactor: Matrix operations part 1 (#6319) (by **Mike He**)
      - MatrixNdarray refactor part13: Add scalarization for TernaryOpStmt (#6314) (by **Zhanlue Yang**)
      - MatrixNdarray refactor part12: Add scalarization for AtomicOpStmt (#6312) (by **Zhanlue Yang**)
      - MatrixNdarray refactor part11: Fuse ExternalPtrStmt and PtrOffsetStmt (#6189) (by **Zhanlue Yang**)
      - MatrixNdarray refactor part10: Remove redundant MatrixInitStmt generated from scalarization (#6171) (by **Zhanlue Yang**)
      - MatrixNdarray refactor part9: Add scalarization for AllocaStmt (#6168) (by **Zhanlue Yang**)
      - Support GPU solve with analyzePattern and factorize (#6158) (by **pengyu**)
      - MatrixField refactor 9/n: Allow dynamic index of matrix field when real_matrix=True (#6194) (by **Yi Xu**)
      - MatrixNdarray refactor part8: Add scalarization for BinaryOpStmt with TensorType-operands (#6086) (by **Zhanlue Yang**)
      - Matrix/Vector refactor: support basic matrix ops (#6077) (by **Mike He**)
      - Support basic sparse matrix operations on GPU. (#6082) (by **Jiafeng Liu**)
      - MatrixField refactor 6/n: Add tests for MatrixField scalarization (#6137) (by **Yi Xu**)
      - MatrixField refactor 5/n: Lower access of matrix field element into CHI IR (#6119) (by **Yi Xu**)
      - Fix invalid assertion for matrix values (#6125) (by **Zhanlue Yang**)
      - MatrixNdarray refactor part7: Add scalarization for UnaryOpStmt with TensorType-operand (#6080) (by **Zhanlue Yang**)
   - **LLVM backend (CPU and CUDA)**
      - Add runtime overflow detection on LLVM-based backends (#6178) (by **Lin Jiang**)
      - Add runtime overflow detection on LLVM-based backends (#6166) (by **Lin Jiang**)
      - Fix codegen for div (unsigned) (#6128) (by **Yi Xu**)
   - **Miscellaneous**
      - Add prefix sum executor to avoid multiple field allocations (#6132) (by **YuZhang**)
   - **Tests**
      - Add scipy to test GPU sparse solver (#6162) (by **pengyu**)
   - **Vulkan backend**
      - Change the format string of 64bit unsigned integer type from %llu to %lu (#6308) (by **Lin Jiang**)
      - Add overflow detection on vulkan when debug=True (#6279) (by **Lin Jiang**)

Full changelog:
   - [Error] Deprecate ndrange with number of the loop variables != the dimension of the ndrange (#6422) (by **Lin Jiang**)
   - [aot] Support push_arg for Kernel in C++ wrapper (#6419) (by **Ailing**)
   - [aot] Use count instead of size-in-bytes for ND-array access in C++ wrapper (#6409) (by **PENGUINLIONG**)
   - [aot] Rename incomplete to truncated (#6418) (by **PENGUINLIONG**)
   - [error] Warn Linux users about manylinux2014 build on startup (#6416) (by **Proton**)
   - [vulkan] [bug] Stop using the buffer device address feature on macOS (#6415) (by **Yi Xu**)
   - [aot] Fixed default list (#6403) (by **PENGUINLIONG**)
   - [aot] Device capability refactorization (#6184) (by **PENGUINLIONG**)
   - [bug] Fix flaky test with taichi_sparse_test.cpp (#6400) (by **Zhanlue Yang**)
   - [Lang] Allow augmented assign on matric slice (#6382) (by **Yi Xu**)
   - [Doc] Update global_settings.md (#6370) (by **Zhao Liang**)
   - [example] Change unnecessary ti.ndrange call to range in Karmal vortex example (#6389) (by **Zhao Liang**)
   - [Lang] [bug] Allow filling a field with Expr (#6391) (by **Yi Xu**)
   - [bug] [lang] Fix copyback for fortran contiguous numpy arrays" (#6390) (by **Ailing Zhang**)
   - [lang] Fix from_numpy() for vector field with a non-contiguous array (by **Ailing Zhang**)
   - [Doc] Update global data access rule checker in doc (#6347) (by **Mingrui Zhang**)
   - [lang] Texture format for better expressiveness (#6338) (by **PENGUINLIONG**)
   - [spirv] Fix duplicated interface id for global_tmp buffers (#6392) (by **Ailing**)
   - Revert "[bug] [lang] Fix copyback for fortran contiguous numpy arrays" (#6390) (by **Ailing**)
   - [bug] [lang] Fix copyback for fortran contiguous numpy arrays (#6376) (by **Ailing**)
   - [Lang] Replace matrix warning param by current logging level (#6377) (by **Zhao Liang**)
   - [misc] Tweak CMake clang exec messages (#6379) (by **yekuang**)
   - [lang] Support structured for loop for RW texture (#6336) (by **PENGUINLIONG**)
   - [autodiff] Fix mode capture for validation kernels (#6361) (by **Mingrui Zhang**)
   - [lang] MatrixType bug fix: Support returning an Expr with MatrixType (#6375) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Fix error with print of MatrixType (#6340) (by **Zhanlue Yang**)
   - [autodiff] Add complicated test case for gdar checker (#6366) (by **Mingrui Zhang**)
   - [lang] [refactor] Refine implementation and tests for matrix slice (#6373) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Add support for unpacking Expr with MatrixType (#6341) (by **Zhanlue Yang**)
   - [Lang] Matrix/Vector refactor: Matrix operations part 1 (#6319) (by **Mike He**)
   - [bug] Fix potential bug in #6362 (#6363) (by **Yi Xu**)
   - [mesh] Fix MeshTaichi warnings in CUDA backend (#6369) (by **Chang Yu**)
   - [bug] Fix returning uint64 as signed integer (#6364) (by **Lin Jiang**)
   - [doc] Update doc about how to use vulkan print (#6359) (by **Ailing**)
   - [Error] Add error message when the number of the loop variables does not match the dimension of the ndrange (#6360) (by **Lin Jiang**)
   - [example] Add example "laplace equation" (#6302) (by **猫猫子Official**)
   - [ci] Android Demo: leave Docker containers intact for debugging (#6357) (by **Proton**)
   - [autodiff] Skip gradient kernel compilation for validation kernel (#6356) (by **Mingrui Zhang**)
   - [autodiff] Move autodiff gdar checker to release (#6355) (by **Mingrui Zhang**)
   - [aot] Removed constraint on same-allocation copy (#6354) (by **PENGUINLIONG**)
   - [ci] Add new performance monitoring (#6349) (by **Proton**)
   - [dx12] Only use llvm to compile dx12. (#6339) (by **Xiang Li**)
   - [opengl] Fix with_opengl when TI_WITH_OPENGL is off (#6353) (by **Ailing**)
   - [Doc] Add instructions about running clang-tidy checks locally (by **Ailing Zhang**)
   - [build] Enable readability-redundant-member-init in clang-tidy check (by **Ailing Zhang**)
   - [build] Enable TI_WITH_VULKAN and TI_WITH_OPENGL for clang-tidy checks (by **Ailing Zhang**)
   - [build] Enable a few modernize checks in clang-tidy (by **Ailing Zhang**)
   - [autodiff] Recover kernel autodiff mode after validation (#6265) (by **Mingrui Zhang**)
   - [test] Adjust rtol for sparse_linear_solver tests (#6352) (by **Ailing**)
   - [lang] MatrixType bug fix: Fix array indexing with MatrixType-index (#6323) (by **Zhanlue Yang**)
   - [Lang] MatrixNdarray refactor part13: Add scalarization for TernaryOpStmt (#6314) (by **Zhanlue Yang**)
   - [Lang] MatrixNdarray refactor part12: Add scalarization for AtomicOpStmt (#6312) (by **Zhanlue Yang**)
   - [build] Enable a few modernize checks in clang-tidy (by **Ailing Zhang**)
   - [build] Enable google-explicit-constructor check in clang-tidy (by **Ailing Zhang**)
   - [build] Enable google-build-explicit-make-pair check in clang-tidy (by **Ailing Zhang**)
   - [build] Enable a few bugprone related rules in clang-tidy (by **Ailing Zhang**)
   - [build] Enable modernize-use-override in clang-tidy (by **Ailing Zhang**)
   - [ci] Use .clang-tidy for check_static_analyzer job (by **Ailing Zhang**)
   - [mesh] Support arm64 backend for MeshTaichi (#6329) (by **Chang Yu**)
   - [lang] Throw proper error message if calling ti.append with vector/matrix (#6322) (by **Ailing**)
   - [aot] Fixed buffer device address import (#6326) (by **PENGUINLIONG**)
   - [aot] Fixed export of get_instance_proc_addr (#6324) (by **PENGUINLIONG**)
   - [build] Allow building test when LLVM is off (#6327) (by **Ailing**)
   - [bug] Fix generating LLVM AOT module for the second time failed (#6311) (by **PGZXB**)
   - [aot] Per-parameter documentation in C-API header (#6317) (by **PENGUINLIONG**)
   - [ci] Revert "Add end-to-end CI tests for meshtaichi (#6321)" (#6325) (by **Proton**)
   - [ci] Add end-to-end CI tests for meshtaichi (#6321) (by **yixu**)
   - [doc] Update the document about offline cache (#6313) (by **PGZXB**)
   - [aot] Include taichi_cpu.h in taich.h (#6315) (by **Zhanlue Yang**)
   - [Vulkan] [bug] Change the format string of 64bit unsigned integer type from %llu to %lu (#6308) (by **Lin Jiang**)
   - [mesh] Refactor MeshTaichi API (#6306) (by **Chang Yu**)
   - [lang] MatrixType bug fix: Allow dynamic_index=True when real_matrix_scalarize=True (#6304) (by **Yi Xu**)
   - [lang] MatrixType bug fix: Enable irpass::cfg_optimization if real_matrix_scalarize is on (#6300) (by **Zhanlue Yang**)
   - [metal] Enable offline cache by default on Metal (#6307) (by **PGZXB**)
   - [Vulkan] Add overflow detection on vulkan when debug=True (#6279) (by **Lin Jiang**)
   - [aot] Inline documentations (#6301) (by **PENGUINLIONG**)
   - [aot] Support exporting interop info for TiMemory on Cpu/Cuda backends (#6242) (by **Zhanlue Yang**)
   - [lang] MatrixType bug fix: Avoid checks for legacy Matrix-class when real_matrix is on (#6292) (by **Zhanlue Yang**)
   - [aot] Support setting vector/matrix argument in C++ wrapper of C-API (#6298) (by **Ailing**)
   - [lang] MatrixType bug fix: Fix MatrixType validations in build_call_if_is_type() (#6294) (by **Zhanlue Yang**)
   - [bug] Fix asserting failed when registering kernels with same name on Metal (#6271) (by **PGZXB**)
   - [ci] Add more release tests (#5839) (by **Proton**)
   - [lang] MatrixType bug fix: Allow indexing a matrix r-value (#6291) (by **Yi Xu**)
   - [bug] Fix duplicate runs with 'run_tests.py --cpp -k' when selecting AOT tests (#6296) (by **Zhanlue Yang**)
   - [bug] Fix segmentation fault with TextureOpStmt ir_printer (#6297) (by **Zhanlue Yang**)
   - [ci] Add taichi-aot-demo headless demos (#6280) (by **Proton**)
   - [bug] Serialize missing fields of metal::TaichiKernelAttributes and metal::KernelAttributes (#6270) (by **PGZXB**)
   - [metal] Implement offline cache cleaning on metal (#6272) (by **PGZXB**)
   - [aot] Reorganized C-API headers (#6199) (by **PENGUINLIONG**)
   - [lang] [bug] Fix setting integer arguments within u64 range but greater than i64 range (#6267) (by **Lin Jiang**)
   - [autodiff] Skip gdar checking for user defined grad kernel (#6273) (by **Mingrui Zhang**)
   - [bug] Fix AotModuleBuilder::add_compiled_kernel (#6287) (by **PGZXB**)
   - [Bug] [lang] Make dimension check for GlobalPtrStmt aware of whether it is a cell access (#6275) (by **Yi Xu**)
   - [refactor] Move setting visible device to vulkan instance initialization (by **Ailing Zhang**)
   - [bug] Add unit test to detect memory leak from data_oriented classes (#6278) (by **Zhanlue Yang**)
   - [aot] Ship runtime *.bc files with C-API for LLVM AOT (#6285) (by **Zhanlue Yang**)
   - [bug] Convert non-i32 type indices to i32 for GlobalPtrStmt (#6276) (by **Zhanlue Yang**)
   - [Doc] Renamed syntax.md to kernel_function.md, plus miscellaneous edits (#6277) (by **Vissidarte-Herman**)
   - [lang] Fixed validation scope (#6262) (by **PENGUINLIONG**)
   - [bug] Prevent ti.kernel from directly caching the passed-in arguments to avoid memory leak (#6256) (by **Zhanlue Yang**)
   - [autodiff] Add demote atomics before gdar checker (#6266) (by **Mingrui Zhang**)
   - [autodiff] Add grad check feature and related test (#6245) (by **PhrygianGates**)
   - [lang] Fixed contraction cast (#6255) (by **PENGUINLIONG**)
   - [Example] Add karman vortex street example (#6249) (by **Zhao Liang**)
   - [ci] Lift GitHub CI timeout (#6260) (by **Proton**)
   - [metal] Support offline cache on metal (#6227) (by **PGZXB**)
   - [dx12] Add DirectX-Headers as a submodule (#6259) (by **Xiang Li**)
   - [bug] Fix link error with TI_WITH_OPENGL:BOOL=ON but TI_WITH_VULKAN:BOOL=OFF (#6257) (by **PGZXB**)
   - [dx12] Disable DX12 for cpu only test. (#6253) (by **Xiang Li**)
   - [Lang] MatrixNdarray refactor part11: Fuse ExternalPtrStmt and PtrOffsetStmt (#6189) (by **Zhanlue Yang**)
   - [Doc] Rename index.md to hello_world.md (#6244) (by **Vissidarte-Herman**)
   - [Doc] Update syntax.md (#6236) (by **Zhao Liang**)
   - [spirv] Generate OpBitFieldUExtract for BitExtractStmt (#6208) (by **Yi Xu**)
   - [Bug] [lang] Allow numpy int as snode dimension (#6211) (by **Yi Xu**)
   - [doc] Update document about building and running Taichi C++ tests (#6228) (by **PGZXB**)
   - [misc] Disable the offline cache if printing ir is enabled (#6234) (by **PGZXB**)
   - [vulkan] [opengl] Enable offline cache by default on Vulkan and OpenGL (#6233) (by **PGZXB**)
   - [Doc] Update math_module.md (#6235) (by **Zhao Liang**)
   - [Doc] Update debugging.md (#6238) (by **Zhao Liang**)
   - [dx12] Add ti.dx12. (#6174) (by **Xiang Li**)
   - [lang] Set ret_type for AtomicOpStmt (#6213) (by **Ailing**)
   - [Doc] Update global settings (#6201) (by **Olinaaaloompa**)
   - [doc] Editorial updates (#6216) (by **Vissidarte-Herman**)
   - [Doc] Update hello world (#6191) (by **Olinaaaloompa**)
   - [Doc] Update math module (#6203) (by **Olinaaaloompa**)
   - [Doc] Update profiler (#6214) (by **Olinaaaloompa**)
   - [autodiff] Store if condition in adstack (#6207) (by **Mingrui Zhang**)
   - [Doc] Update debugging.md (#6212) (by **Zhao Liang**)
   - [Doc] Update debugging.md (#6200) (by **Zhao Liang**)
   - [bug] Fixed type inference error with ExternalPtrStmt (#6210) (by **Zhanlue Yang**)
   - [example] Request to add my code into examples (#6185) (by **JiaoLuhuai**)
   - [Lang] MatrixNdarray refactor part10: Remove redundant MatrixInitStmt generated from scalarization (#6171) (by **Zhanlue Yang**)
   - [aot] Apply ti_get_last_error_message() for all C-API test cases (#6195) (by **Zhanlue Yang**)
   - [llvm] [refactor] Merge create_call and call (#6192) (by **Lin Jiang**)
   - [build] Support executing manually-specified cpp tests for run_tests.py (#6206) (by **Zhanlue Yang**)
   - [doc] Editorial updates to field.md (#6202) (by **Vissidarte-Herman**)
   - [Lang] MatrixNdarray refactor part9: Add scalarization for AllocaStmt (#6168) (by **Zhanlue Yang**)
   - [Lang] Support GPU solve with analyzePattern and factorize (#6158) (by **pengyu**)
   - [Lang] MatrixField refactor 9/n: Allow dynamic index of matrix field when real_matrix=True (#6194) (by **Yi Xu**)
   - [Doc] Fixed broken links (#6193) (by **Olinaaaloompa**)
   - [ir] MatrixField refactor 8/n: Rename PtrOffsetStmt to MatrixPtrStmt (#6187) (by **Yi Xu**)
   - [Doc] Update field.md (#6182) (by **Zhao Liang**)
   - [bug] Relax dependent Pillow version (#6170) (by **Ailing**)
   - [Doc] Update data_oriented_class.md (#6181) (by **Zhao Liang**)
   - [Doc] Update kernels and functions (#6176) (by **Zhao Liang**)
   - [Doc] Update type.md (#6180) (by **Zhao Liang**)
   - [Doc] Update getting started (#6175) (by **Zhao Liang**)
   - [llvm] MatrixField refactor 7/n: Simplify codegen for TensorType allocation and access (#6169) (by **Yi Xu**)
   - [LLVM] Add runtime overflow detection on LLVM-based backends (#6178) (by **Lin Jiang**)
   - Revert "[LLVM] Add runtime overflow detection on LLVM-based backends" (#6177) (by **Ailing**)
   - [dx12] Add aot for dx12. (#6099) (by **Xiang Li**)
   - [LLVM] Add runtime overflow detection on LLVM-based backends (#6166) (by **Lin Jiang**)
   - [doc] C-API documentation & generator (#5736) (by **PENGUINLIONG**)
   - [gui] Support for setting the initial position of GGUI window (#6156) (by **Mocki**)
   - [metal] Maintain a print string table per kernel (#6160) (by **PGZXB**)
   - [Lang] MatrixNdarray refactor part8: Add scalarization for BinaryOpStmt with TensorType-operands (#6086) (by **Zhanlue Yang**)
   - [Doc] Refactor debugging (#6102) (by **Olinaaaloompa**)
   - [doc] Updated the position of Sparse Matrix (#6167) (by **Vissidarte-Herman**)
   - [Doc] Refactor global settings (#6071) (by **Zhao Liang**)
   - [Doc] Refactor external arrays (#6065) (by **Zhao Liang**)
   - [Doc] Refactor simt (#6151) (by **Zhao Liang**)
   - [Doc] Refactor Profiler (#6142) (by **Olinaaaloompa**)
   - [Doc] Add doc for math module (#6145) (by **Zhao Liang**)
   - [aot] Fixed texture interop (#6164) (by **PENGUINLIONG**)
   - [misc] Remove TI_UI namespace macros (#6163) (by **Lin Jiang**)
   - [llvm] Add comment about the structure of the CodeGen (#6150) (by **Lin Jiang**)
   - [Bug] [lang] Fix augmented assign for sar (#6153) (by **Yi Xu**)
   - [Test] Add scipy to test GPU sparse solver (#6162) (by **pengyu**)
   - [bug] Fix crashing when loading old offline cache files (for gfx backends) (#6157) (by **PGZXB**)
   - [lang] Remove print at the end of parallel sort (#6161) (by **Haidong Lan**)
   - [misc] Move some offline cache utils from analysis/ to util/ (#6155) (by **PGZXB**)
   - [Lang] Matrix/Vector refactor: support basic matrix ops (#6077) (by **Mike He**)
   - [misc] Remove namespace macros (#6154) (by **Lin Jiang**)
   - [Doc] Update gui_system (#6152) (by **Zhao Liang**)
   - [aot] Track layouts for imported image & tests (#6138) (by **PENGUINLIONG**)
   - [ci] Fix build cache problems (#6149) (by **Proton**)
   - [Misc] Add prefix sum executor to avoid multiple field allocations (#6132) (by **YuZhang**)
   - [opt] Cache loop-invariant global vars to local vars (#6072) (by **Lin Jiang**)
   - [aot] Improve C++ wrapper implementation (#6146) (by **PENGUINLIONG**)
   - [doc] Refactored ODOP (#6143) (by **Vissidarte-Herman**)
   - [Lang] Support basic sparse matrix operations on GPU. (#6082) (by **Jiafeng Liu**)
   - [Lang] MatrixField refactor 6/n: Add tests for MatrixField scalarization (#6137) (by **Yi Xu**)
   - [vulkan] Fix SPV physical ptr load alignment (#6139) (by **Bob Cao**)
   - [bug] Let every thread has its own CompileConfig (#6124) (by **Lin Jiang**)
   - [refactor] Remove redundant codegen of floordiv (#6135) (by **Yi Xu**)
   - [doc] Miscellaneous editorial updates (#6131) (by **Vissidarte-Herman**)
   - Revert "[spirv] Fixed OpLoad with physical address" (#6136) (by **Lin Jiang**)
   - [bug] [llvm] Fix is_same_type when the suffix of a type is the prefix of the suffix of the other type (#6126) (by **Lin Jiang**)
   - [bug] [vulkan] Only enable non_semantic_info cap when validation layer is on (#6129) (by **Ailing**)
   - [Llvm] Fix codegen for div (unsigned) (#6128) (by **Yi Xu**)
   - [Lang] MatrixField refactor 5/n: Lower access of matrix field element into CHI IR (#6119) (by **Yi Xu**)
   - [Lang] Fix invalid assertion for matrix values (#6125) (by **Zhanlue Yang**)
   - [opengl] Fix GLES support (#6121) (by **Ailing**)
   - [Lang] MatrixNdarray refactor part7: Add scalarization for UnaryOpStmt with TensorType-operand (#6080) (by **Zhanlue Yang**)
   - [doc] Editorial updates (#6116) (by **Vissidarte-Herman**)
   - [misc] Allow more commits in changelog generation (#6115) (by **Yi Xu**)
   - [aot] Import MoltenVK (#6090) (by **PENGUINLIONG**)
   - [vulkan] Instruct users to install vulkan sdk if they want to use validation layer (#6098) (by **Ailing**)
   - [ci] Use local caches on self-hosted runners, and code refactoring. (#5846) (by **Proton**)
   - [misc] Bump version to v1.1.4 (#6112) (by **Taichi Gardener**)
   - [doc] Fixed a broken link (#6111) (by **Vissidarte-Herman**)
   - [doc] Update explanation on data-layout (#6110) (by **Qian Bao**)
   - [Doc] Move developer utilities to contribution (#6109) (by **Olinaaaloompa**)
   - [Doc] Added Accelerate PyTorch (#6106) (by **Vissidarte-Herman**)
   - [Doc] Refactor ODOP (#6013) (by **Zhao Liang**)
   - [opengl] Support offline cache on opengl (#6104) (by **PGZXB**)
   - [build] Fix building with TI_WITH_OPENGL:BOOL=OFF and TI_WITH_DX11:BOOL=ON failed (#6108) (by **PGZXB**)
